Archived docs.You are viewing v0.13.0. For current guidance, useLatest. Report archive issues onGitHub.
Evaluate one configured federation profile for a trusted peer
POST
/federation/v1/evaluations
const url = 'https://example.com/federation/v1/evaluations';const options = {method: 'POST', headers: {'Content-Type': 'application/jwt'}, body: 'example'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/federation/v1/evaluations \ --header 'Content-Type: application/jwt' \ --data exampleAccepts a compact JWS request with typ registry-notary-request+jwt. This route is mounted only when federation is enabled and uses body-JWT authentication instead of API key or bearer authentication.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/jwt
Compact JWS signed federation evaluation request
string
Responses
Section titled “Responses”Compact JWS signed federation evaluation response
Media typeapplication/jwt
Compact JWS with typ registry-notary-response+jwt
string
Invalid federation request
Invalid federation token
Peer, profile, purpose, or requester/target identity path is not allowed
Request replay detected
Request body is too large
Content type is not application/jwt
An operational dependency required for a fail-closed response is unavailable